/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:REWRITE.c 12.0$ */
/* $ACIS:REWRITE.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libpc/RCS/REWRITE.c,v $ */

#ifndef lint
static char *rcsid = "$Header:REWRITE.c 12.0$";
#endif

/* Copyright (c) 1979 Regents of the University of California */

static char sccsid[] = "@(#)REWRITE.c 1.3 6/10/81";

#include "h00vars.h"

REWRITE(filep, name, maxnamlen, datasize)

	register struct iorec	*filep;
	char			*name;
	long			maxnamlen;
	long			datasize;
{
	filep = GETNAME (filep, name, maxnamlen, datasize);
	filep->fbuf = fopen(filep->fname, "w");
	if (filep->fbuf == NULL) {
		PERROR("Could not create ",filep->pfname);
		return;
	}
	filep->funit |= (EOFF | FWRITE);
	if (filep->fblk > PREDEF) {
		setbuf(filep->fbuf, &filep->buf[0]);
	}
}
